<?php

/**
 * Implementation of hook_views_default_views().
 */
function ns_blog_views_default_views() {
  $views = array();

  // Exported view: ns_blog
  $view = new view;
  $view->name = 'ns_blog';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'All blogs';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'blog';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'h2',
      'class' => 'blog-title',
    ),
    'field_ns_blog_description_short_value' => array(
      'element_type' => 'p',
      'class' => '',
    ),
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  $handler->display->display_options['fields']['view_node']['text'] = 'Read the blog';
  /* Field: Content: Short description (field_ns_blog_description_short) */
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['id'] = 'field_ns_blog_description_short_value';
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['table'] = 'node_data_field_ns_blog_description_short';
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['field'] = 'field_ns_blog_description_short_value';
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['alter_text'] = 1;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['text'] = '[field_ns_blog_description_short_value] [view_node]';
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_blog_description_short_value']['label_type'] = 'none';
  /* Sort criterion: Node: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_blog' => 'ns_blog',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Blogs';

  $views[$view->name] = $view;

  // Exported view: ns_blog_contributor
  $view = new view;
  $view->name = 'ns_blog_contributor';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Bloggers';
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['list']['class'] = 'list-links';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  /* Relationship: Content: Bloggers (field_ns_blog_blogger) */
  $handler->display->display_options['relationships']['field_ns_blog_blogger_nid']['id'] = 'field_ns_blog_blogger_nid';
  $handler->display->display_options['relationships']['field_ns_blog_blogger_nid']['table'] = 'node_data_field_ns_blog_blogger';
  $handler->display->display_options['relationships']['field_ns_blog_blogger_nid']['field'] = 'field_ns_blog_blogger_nid';
  $handler->display->display_options['relationships']['field_ns_blog_blogger_nid']['required'] = 1;
  $handler->display->display_options['relationships']['field_ns_blog_blogger_nid']['delta'] = '-1';
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_ns_blog_blogger_nid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Sort criterion: Node: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['sorts']['title']['relationship'] = 'field_ns_blog_blogger_nid';
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'ns_blog' => 'ns_blog',
    'poll' => 0,
    'ns_article' => 0,
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_image' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
    'ns_post' => 0,
  );
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_blog_blogger_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_ns_blog_blogger_nid';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_contributor' => 'ns_contributor',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Blog bloggers';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_blog_post
  $view = new view;
  $view->name = 'ns_blog_post';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'post';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'h2',
      'class' => 'post-title',
    ),
    'field_ns_post_body_value' => array(
      'element_type' => '',
      'class' => '',
    ),
    'disqus_comments' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Content: Body (field_ns_post_body) */
  $handler->display->display_options['fields']['field_ns_post_body_value']['id'] = 'field_ns_post_body_value';
  $handler->display->display_options['fields']['field_ns_post_body_value']['table'] = 'node_data_field_ns_post_body';
  $handler->display->display_options['fields']['field_ns_post_body_value']['field'] = 'field_ns_post_body_value';
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['label_type'] = 'none';
  /* Field: Node: Disqus: Comments */
  $handler->display->display_options['fields']['disqus_comments']['id'] = 'disqus_comments';
  $handler->display->display_options['fields']['disqus_comments']['table'] = 'node';
  $handler->display->display_options['fields']['disqus_comments']['field'] = 'disqus_comments';
  $handler->display->display_options['fields']['disqus_comments']['label'] = '';
  $handler->display->display_options['fields']['disqus_comments']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['disqus_comments']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['disqus_comments']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['html'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['hide_empty'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['empty_zero'] = 0;
  /* Sort criterion: Node: Published */
  $handler->display->display_options['sorts']['status']['id'] = 'status';
  $handler->display->display_options['sorts']['status']['table'] = 'node';
  $handler->display->display_options['sorts']['status']['field'] = 'status';
  $handler->display->display_options['sorts']['status']['order'] = 'DESC';
  /* Argument: Content: Blog (field_ns_post_blog) */
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['id'] = 'field_ns_post_blog_nid';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['table'] = 'node_data_field_ns_post_blog';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['field'] = 'field_ns_post_blog_nid';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['validate_options']['types'] = array(
    'ns_blog' => 'ns_blog',
    'poll' => 0,
    'ns_article' => 0,
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_image' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
    'ns_post' => 0,
  );
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_post' => 'ns_post',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Blog posts';
  $handler->display->display_options['argument_input'] = array(
    'field_ns_post_blog_nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Blog (field_ns_post_blog)',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_blog_post_latest
  $view = new view;
  $view->name = 'ns_blog_post_latest';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Latest blog posts';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['list']['element_type'] = 'ul';
  $handler->display->display_options['style_options']['list']['class'] = 'list-links';
  $handler->display->display_options['style_options']['row']['element_type'] = 'li';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Sort criterion: Node: Published */
  $handler->display->display_options['sorts']['status']['id'] = 'status';
  $handler->display->display_options['sorts']['status']['table'] = 'node';
  $handler->display->display_options['sorts']['status']['field'] = 'status';
  $handler->display->display_options['sorts']['status']['order'] = 'DESC';
  /* Argument: Content: Blog (field_ns_post_blog) */
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['id'] = 'field_ns_post_blog_nid';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['table'] = 'node_data_field_ns_post_blog';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['field'] = 'field_ns_post_blog_nid';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['validate_options']['types'] = array(
    'ns_blog' => 'ns_blog',
    'poll' => 0,
    'ns_article' => 0,
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_image' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
    'ns_post' => 0,
  );
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['field_ns_post_blog_nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_post' => 'ns_post',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Blog posts, latest';
  $handler->display->display_options['argument_input'] = array(
    'field_ns_post_blog_nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Content: Blog (field_ns_post_blog)',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_post_image
  $view = new view;
  $view->name = 'ns_post_image';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'image';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_image_file_fid' => array(
      'element_type' => '',
      'class' => '',
    ),
    'field_ns_image_url_embed' => array(
      'element_type' => '',
      'class' => '',
    ),
    'field_ns_image_credit_nid' => array(
      'element_type' => 'p',
      'class' => 'image-credit',
      'label_element_type' => '',
      'label_class' => '',
    ),
    'field_ns_image_caption_value' => array(
      'element_type' => 'p',
      'class' => 'image-caption',
    ),
  );
  /* Relationship: Content: Images (field_ns_post_image) */
  $handler->display->display_options['relationships']['field_ns_post_image_nid']['id'] = 'field_ns_post_image_nid';
  $handler->display->display_options['relationships']['field_ns_post_image_nid']['table'] = 'node_data_field_ns_post_image';
  $handler->display->display_options['relationships']['field_ns_post_image_nid']['field'] = 'field_ns_post_image_nid';
  $handler->display->display_options['relationships']['field_ns_post_image_nid']['required'] = 1;
  $handler->display->display_options['relationships']['field_ns_post_image_nid']['delta'] = '-1';
  /* Field: Content: File (field_ns_image_file) */
  $handler->display->display_options['fields']['field_ns_image_file_fid']['id'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['table'] = 'node_data_field_ns_image_file';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['field'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['relationship'] = 'field_ns_post_image_nid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['format'] = 'ns-article-image_default';
  /* Field: Content: URL (field_ns_image_url) */
  $handler->display->display_options['fields']['field_ns_image_url_embed']['id'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['table'] = 'node_data_field_ns_image_url';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['field'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['relationship'] = 'field_ns_post_image_nid';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['format'] = 'ns-article-image_default';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['dynamic_emimage'] = 0;
  /* Field: Content: Credit (field_ns_image_credit) */
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['id'] = 'field_ns_image_credit_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['table'] = 'node_data_field_ns_image_credit';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['field'] = 'field_ns_image_credit_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['relationship'] = 'field_ns_post_image_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['label'] = 'Foto: ';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['label_type'] = 'custom';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['format'] = 'plain';
  /* Field: Content: Caption (field_ns_image_caption) */
  $handler->display->display_options['fields']['field_ns_image_caption_value']['id'] = 'field_ns_image_caption_value';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['table'] = 'node_data_field_ns_image_caption';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['field'] = 'field_ns_image_caption_value';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['relationship'] = 'field_ns_post_image_nid';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['label_type'] = 'none';
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'ns_post' => 'ns_post',
    'poll' => 0,
    'ns_article' => 0,
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_image' => 0,
    'ns_blog' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
  );
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_post_image_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  
/* Display: Slideshow */
  $handler = $view->new_display('panel_pane', 'Slideshow', 'panel_pane_2');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'slideshow';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['timeout'] = '7000';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['speed'] = '700';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['start_paused'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['delay'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['fixed_height'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['random'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pause'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pause_on_click'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['remember_slide_days'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['controls'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['items_per_slide'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager_type'] = 'Numbered';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager_hover'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['image_count'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['nowrap'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['sync'] = '1';
  $handler->display->display_options['style_options']['mode'] = 'views_slideshow_singleframe';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_image_image_fid' => array(
      'element_type' => 'div',
      'class' => 'image',
    ),
    'field_ns_image_credit_nid' => array(
      'element_type' => 'p',
      'class' => 'image-credit',
      'label_element_type' => '',
      'label_class' => '',
    ),
    'field_ns_image_caption_value' => array(
      'element_type' => 'p',
      'class' => 'image-caption',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Post image slideshow';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_post_latest
  $view = new view;
  $view->name = 'ns_post_latest';
  $view->description = '';
  $view->tag = '';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['title'] = 'Latest blog posts';
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = 3;
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'post';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'title' => array(
      'element_type' => 'h3',
      'class' => 'post-title',
    ),
    'nothing' => array(
      'element_type' => 'p',
      'class' => '',
    ),
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 1;
  /* Field: Node: Link */
  $handler->display->display_options['fields']['view_node']['id'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['table'] = 'node';
  $handler->display->display_options['fields']['view_node']['field'] = 'view_node';
  $handler->display->display_options['fields']['view_node']['label'] = '';
  $handler->display->display_options['fields']['view_node']['exclude'] = TRUE;
  $handler->display->display_options['fields']['view_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['view_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['view_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['view_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['view_node']['empty_zero'] = 0;
  $handler->display->display_options['fields']['view_node']['text'] = 'Read more';
  /* Field: Content: Body (field_ns_post_body) */
  $handler->display->display_options['fields']['field_ns_post_body_value']['id'] = 'field_ns_post_body_value';
  $handler->display->display_options['fields']['field_ns_post_body_value']['table'] = 'node_data_field_ns_post_body';
  $handler->display->display_options['fields']['field_ns_post_body_value']['field'] = 'field_ns_post_body_value';
  $handler->display->display_options['fields']['field_ns_post_body_value']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['trim'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['max_length'] = '100';
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['strip_tags'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['alter']['html'] = 1;
  $handler->display->display_options['fields']['field_ns_post_body_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_post_body_value']['label_type'] = 'none';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '[field_ns_post_body_value] <span class="read-more">[view_node]</span>';
  $handler->display->display_options['fields']['nothing']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nothing']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nothing']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nothing']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nothing']['empty_zero'] = 0;
  /* Sort criterion: Node: Published */
  $handler->display->display_options['sorts']['status']['id'] = 'status';
  $handler->display->display_options['sorts']['status']['table'] = 'node';
  $handler->display->display_options['sorts']['status']['field'] = 'status';
  $handler->display->display_options['sorts']['status']['order'] = 'DESC';
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_post' => 'ns_post',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Posts, latest';

  $views[$view->name] = $view;

  return $views;
}
