<?php

/**
 * Implementation of hook_views_default_views().
 */
function ns_location_views_default_views() {
  $views = array();

  // Exported view: ns_article_location
  $view = new view;
  $view->name = 'ns_article_location';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'openlayers_data';
  $handler->display->display_options['style_options']['data_source'] = array(
    'value' => array(
      'other_latlon' => 'other_latlon',
    ),
    'other_lat' => 'lat',
    'other_lon' => 'lon',
    'openlayers_wkt' => 'title',
    'other_top' => 'title',
    'other_right' => 'title',
    'other_bottom' => 'title',
    'other_left' => 'title',
    'name_field' => 'title',
    'description_field' => '',
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Field: Taxonomy Geo: Latitude */
  $handler->display->display_options['fields']['lat']['id'] = 'lat';
  $handler->display->display_options['fields']['lat']['table'] = 'term_geo';
  $handler->display->display_options['fields']['lat']['field'] = 'lat';
  $handler->display->display_options['fields']['lat']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['lat']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['lat']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['lat']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['lat']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['lat']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['lat']['alter']['html'] = 0;
  $handler->display->display_options['fields']['lat']['hide_empty'] = 0;
  $handler->display->display_options['fields']['lat']['empty_zero'] = 0;
  /* Field: Taxonomy Geo: Longitude */
  $handler->display->display_options['fields']['lon']['id'] = 'lon';
  $handler->display->display_options['fields']['lon']['table'] = 'term_geo';
  $handler->display->display_options['fields']['lon']['field'] = 'lon';
  $handler->display->display_options['fields']['lon']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['lon']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['lon']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['lon']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['lon']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['lon']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['lon']['alter']['html'] = 0;
  $handler->display->display_options['fields']['lon']['hide_empty'] = 0;
  $handler->display->display_options['fields']['lon']['empty_zero'] = 0;
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'ns_article' => 'ns_article',
    'poll' => 0,
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_image' => 0,
    'ns_blog' => 0,
    'ns_post' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
  );
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  
/* Display: Article location */
  $handler = $view->new_display('openlayers', 'Article location', 'openlayers_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_data';
  $handler->display->display_options['style_options']['data_source'] = array(
    'value' => array(
      'other_latlon' => 'other_latlon',
    ),
    'other_lat' => 'lat',
    'other_lon' => 'lon',
    'openlayers_wkt' => 'title',
    'other_top' => 'title',
    'other_right' => 'title',
    'other_bottom' => 'title',
    'other_left' => 'title',
    'name_field' => 'title',
    'description_field' => '',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'openlayers_map';
  $handler->display->display_options['style_options']['preset'] = 'ns_article_attachment';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Article geographical location';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  return $views;
}
