<?php

/**
 * Implementation of hook_views_default_views().
 */
function ns_video_views_default_views() {
  $views = array();

  // Exported view: ns_article_video
  $view = new view;
  $view->name = 'ns_article_video';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'attachment attachment-video';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_video_url_embed' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  /* Relationship: Content: Attachments (field_ns_article_attachment) */
  $handler->display->display_options['relationships']['field_ns_article_attachment_nid']['id'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['relationships']['field_ns_article_attachment_nid']['table'] = 'node_data_field_ns_article_attachment';
  $handler->display->display_options['relationships']['field_ns_article_attachment_nid']['field'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['relationships']['field_ns_article_attachment_nid']['required'] = 1;
  $handler->display->display_options['relationships']['field_ns_article_attachment_nid']['delta'] = '-1';
  /* Field: Content: URL (field_ns_video_url) */
  $handler->display->display_options['fields']['field_ns_video_url_embed']['id'] = 'field_ns_video_url_embed';
  $handler->display->display_options['fields']['field_ns_video_url_embed']['table'] = 'node_data_field_ns_video_url';
  $handler->display->display_options['fields']['field_ns_video_url_embed']['field'] = 'field_ns_video_url_embed';
  $handler->display->display_options['fields']['field_ns_video_url_embed']['relationship'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_video_url_embed']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_video_url_embed']['format'] = 'video_video';
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['validate_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['validate_options']['types'] = array(
    'ns_article' => 'ns_article',
    'ns_blurb' => 0,
    'ns_contributor' => 0,
    'ns_fact' => 0,
    'ns_form' => 0,
    'ns_image' => 0,
    'ns_location' => 0,
    'ns_page' => 0,
    'ns_video' => 0,
  );
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['relationship'] = 'field_ns_article_attachment_nid';
  $handler->display->display_options['filters']['type']['value'] = array(
    'ns_video' => 'ns_video',
  );
  $handler->display->display_options['filters']['type']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Article video attachments';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  return $views;
}
