<?php

/**
 * Implementation of hook_views_default_views().
 */
function ns_article_views_default_views() {
  $views = array();

  // Exported view: ns_article_byline
  $view = new view;
  $view->name = 'ns_article_byline';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'contributor clear-block';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_contributor_photo_fid' => array(
      'element_type' => 'div',
      'class' => 'contributor-photo',
    ),
    'title' => array(
      'element_type' => 'span',
      'class' => 'contributor-name',
    ),
    'field_ns_contributor_email_email' => array(
      'element_type' => 'span',
      'class' => 'contributor-email',
    ),
  );
  /* Relationship: Content: Byline (field_ns_article_byline) */
  $handler->display->display_options['relationships']['field_ns_article_byline_nid']['id'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['relationships']['field_ns_article_byline_nid']['table'] = 'node_data_field_ns_article_byline';
  $handler->display->display_options['relationships']['field_ns_article_byline_nid']['field'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['relationships']['field_ns_article_byline_nid']['required'] = 1;
  $handler->display->display_options['relationships']['field_ns_article_byline_nid']['delta'] = '-1';
  /* Field: Content: Photo (field_ns_contributor_photo) */
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['id'] = 'field_ns_contributor_photo_fid';
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['table'] = 'node_data_field_ns_contributor_photo';
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['field'] = 'field_ns_contributor_photo_fid';
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['relationship'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_contributor_photo_fid']['format'] = 'grid-4_default';
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['relationship'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Field: Broken/missing handler */
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['id'] = 'field_ns_contributor_email_email';
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['table'] = 'node_data_field_ns_contributor_email';
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['field'] = 'field_ns_contributor_email_email';
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['relationship'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_contributor_email_email']['empty_zero'] = 0;
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_article_byline_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_1');
  $handler->display->display_options['pane_title'] = 'Article bylines';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_article_image
  $view = new view;
  $view->name = 'ns_article_image';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['items_per_page'] = 0;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['style_plugin'] = 'semanticviews_default';
  $handler->display->display_options['style_options']['group']['class'] = '';
  $handler->display->display_options['style_options']['row']['class'] = 'image';
  $handler->display->display_options['style_options']['row']['first_class'] = '';
  $handler->display->display_options['style_options']['row']['last_class'] = '';
  $handler->display->display_options['style_options']['row']['striping_classes'] = '';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_image_file_fid' => array(
      'element_type' => '',
      'class' => '',
    ),
    'field_ns_image_url_embed' => array(
      'element_type' => '',
      'class' => '',
    ),
    'field_ns_image_credit_nid' => array(
      'element_type' => 'p',
      'class' => 'image-credit',
      'label_element_type' => '',
      'label_class' => '',
    ),
    'field_ns_image_caption_value' => array(
      'element_type' => 'p',
      'class' => 'image-caption',
    ),
  );
  /* Relationship: Content: Images (field_ns_article_image) */
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['id'] = 'field_ns_article_image_nid';
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['table'] = 'node_data_field_ns_article_image';
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['field'] = 'field_ns_article_image_nid';
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['label'] = 'Image';
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['required'] = 1;
  $handler->display->display_options['relationships']['field_ns_article_image_nid']['delta'] = '-1';
  /* Field: Content: File (field_ns_image_file) */
  $handler->display->display_options['fields']['field_ns_image_file_fid']['id'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['table'] = 'node_data_field_ns_image_file';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['field'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['relationship'] = 'field_ns_article_image_nid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['format'] = 'grid-24_default';
  /* Field: Content: URL (field_ns_image_url) */
  $handler->display->display_options['fields']['field_ns_image_url_embed']['id'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['table'] = 'node_data_field_ns_image_url';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['field'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['relationship'] = 'field_ns_article_image_nid';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['format'] = 'grid-24_default';
  /* Field: Content: Credit (field_ns_image_credit) */
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['id'] = 'field_ns_image_credit_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['table'] = 'node_data_field_ns_image_credit';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['field'] = 'field_ns_image_credit_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['relationship'] = 'field_ns_article_image_nid';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['label'] = 'Credit';
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_credit_nid']['format'] = 'plain';
  /* Field: Content: Caption (field_ns_image_caption) */
  $handler->display->display_options['fields']['field_ns_image_caption_value']['id'] = 'field_ns_image_caption_value';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['table'] = 'node_data_field_ns_image_caption';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['field'] = 'field_ns_image_caption_value';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['relationship'] = 'field_ns_article_image_nid';
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_caption_value']['label_type'] = 'none';
  /* Argument: Node: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['nid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['nid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['nid']['not'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['relationship'] = 'field_ns_article_image_nid';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  
/* Display: Content pane */
  $handler = $view->new_display('panel_pane', 'Content pane', 'panel_pane_2');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'slideshow';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['timeout'] = '7000';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['speed'] = '700';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['start_paused'] = 1;
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['delay'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['fixed_height'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['random'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pause'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pause_on_click'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['remember_slide_days'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['controls'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['items_per_slide'] = '1';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager_type'] = 'Numbered';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['pager_hover'] = '2';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['image_count'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['nowrap'] = '0';
  $handler->display->display_options['style_options']['views_slideshow_singleframe']['sync'] = '1';
  $handler->display->display_options['style_options']['mode'] = 'views_slideshow_singleframe';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_image_image_fid' => array(
      'element_type' => 'div',
      'class' => 'image',
    ),
    'field_ns_image_credit_nid' => array(
      'element_type' => 'p',
      'class' => 'image-credit',
      'label_element_type' => '',
      'label_class' => '',
    ),
    'field_ns_image_caption_value' => array(
      'element_type' => 'p',
      'class' => 'image-caption',
    ),
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['pane_title'] = 'Article image slideshow';
  $handler->display->display_options['argument_input'] = array(
    'nid' => array(
      'type' => 'context',
      'context' => 'node.nid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Node: Nid',
    ),
  );

  $views[$view->name] = $view;

  // Exported view: ns_topic
  $view = new view;
  $view->name = 'ns_topic';
  $view->description = '';
  $view->tag = 'nodestream';
  $view->view_php = '';
  $view->base_table = 'node';
  $view->is_cacheable = FALSE;
  $view->api_version = '3.0-alpha1';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  
/* Display: Defaults */
  $handler = $view->new_display('default', 'Defaults', 'default');
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = 25;
  $handler->display->display_options['style_plugin'] = 'dynamic_formatters_rows';
  $handler->display->display_options['style_options']['region_key'] = '1';
  $handler->display->display_options['style_options']['variant_key'] = '';
  $handler->display->display_options['style_options']['style_name'] = '';
  $handler->display->display_options['style_options']['style_field'] = 'field_ns_promo_style_style';
  $handler->display->display_options['style_options']['parent_field'] = 'value1';
  $handler->display->display_options['row_plugin'] = 'semanticviews_fields';
  $handler->display->display_options['row_options']['skip_blank'] = 1;
  $handler->display->display_options['row_options']['semantic_html'] = array(
    'field_ns_image_file_fid' => array(
      'element_type' => '',
      'class' => '',
    ),
    'field_ns_image_url_embed' => array(
      'element_type' => '',
      'class' => '',
    ),
    'title' => array(
      'element_type' => 'h2',
      'class' => 'promo-title',
    ),
    'field_ns_promo_kicker_value' => array(
      'element_type' => 'div',
      'class' => 'promo-kicker',
    ),
    'field_ns_promo_body_value' => array(
      'element_type' => '',
      'class' => '',
    ),
    'disqus_comments' => array(
      'element_type' => '',
      'class' => '',
    ),
  );
  /* Relationship: Content: Article (field_ns_promo_article) */
  $handler->display->display_options['relationships']['field_ns_promo_article_nid']['id'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['relationships']['field_ns_promo_article_nid']['table'] = 'node_data_field_ns_promo_article';
  $handler->display->display_options['relationships']['field_ns_promo_article_nid']['field'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['relationships']['field_ns_promo_article_nid']['required'] = 1;
  /* Relationship: Content: Image (field_ns_promo_image) */
  $handler->display->display_options['relationships']['field_ns_promo_image_nid']['id'] = 'field_ns_promo_image_nid';
  $handler->display->display_options['relationships']['field_ns_promo_image_nid']['table'] = 'node_data_field_ns_promo_image';
  $handler->display->display_options['relationships']['field_ns_promo_image_nid']['field'] = 'field_ns_promo_image_nid';
  $handler->display->display_options['relationships']['field_ns_promo_image_nid']['required'] = 0;
  /* Field: Node: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['nid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['nid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['nid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['nid']['link_to_node'] = 0;
  /* Field: Content: Style (field_ns_promo_style) */
  $handler->display->display_options['fields']['field_ns_promo_style_style']['id'] = 'field_ns_promo_style_style';
  $handler->display->display_options['fields']['field_ns_promo_style_style']['table'] = 'node_data_field_ns_promo_style';
  $handler->display->display_options['fields']['field_ns_promo_style_style']['field'] = 'field_ns_promo_style_style';
  $handler->display->display_options['fields']['field_ns_promo_style_style']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_style_style']['label_type'] = 'none';
  /* Field: DraggableViews: Parent */
  $handler->display->display_options['fields']['value1']['id'] = 'value1';
  $handler->display->display_options['fields']['value1']['table'] = 'draggableviews_structure_node1';
  $handler->display->display_options['fields']['value1']['field'] = 'value1';
  $handler->display->display_options['fields']['value1']['label'] = '';
  $handler->display->display_options['fields']['value1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['value1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['value1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['value1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['value1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['value1']['empty_zero'] = 0;
  /* Field: Content: File (field_ns_image_file) */
  $handler->display->display_options['fields']['field_ns_image_file_fid']['id'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['table'] = 'node_data_field_ns_image_file';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['field'] = 'field_ns_image_file_fid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['relationship'] = 'field_ns_promo_image_nid';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['path'] = 'node/[nid]';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['hide_empty'] = 1;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_file_fid']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_file_fid']['dynamic_filefield'] = 1;
  /* Field: Content: URL (field_ns_image_url) */
  $handler->display->display_options['fields']['field_ns_image_url_embed']['id'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['table'] = 'node_data_field_ns_image_url';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['field'] = 'field_ns_image_url_embed';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['relationship'] = 'field_ns_promo_image_nid';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['path'] = 'node/[nid]';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['hide_empty'] = 1;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_image_url_embed']['label_type'] = 'none';
  $handler->display->display_options['fields']['field_ns_image_url_embed']['dynamic_emimage'] = 1;
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'node/[nid]';
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Field: Content: Kicker (field_ns_promo_kicker) */
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['id'] = 'field_ns_promo_kicker_value';
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['table'] = 'node_data_field_ns_promo_kicker';
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['field'] = 'field_ns_promo_kicker_value';
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['make_link'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['path'] = 'node/[nid]';
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['hide_empty'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_kicker_value']['label_type'] = 'none';
  /* Field: Content: Body (field_ns_promo_body) */
  $handler->display->display_options['fields']['field_ns_promo_body_value']['id'] = 'field_ns_promo_body_value';
  $handler->display->display_options['fields']['field_ns_promo_body_value']['table'] = 'node_data_field_ns_promo_body';
  $handler->display->display_options['fields']['field_ns_promo_body_value']['field'] = 'field_ns_promo_body_value';
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['alter']['html'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['hide_empty'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['empty_zero'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['link_to_node'] = 0;
  $handler->display->display_options['fields']['field_ns_promo_body_value']['label_type'] = 'none';
  /* Field: Node: Disqus: Comments */
  $handler->display->display_options['fields']['disqus_comments']['id'] = 'disqus_comments';
  $handler->display->display_options['fields']['disqus_comments']['table'] = 'node';
  $handler->display->display_options['fields']['disqus_comments']['field'] = 'disqus_comments';
  $handler->display->display_options['fields']['disqus_comments']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['fields']['disqus_comments']['label'] = '';
  $handler->display->display_options['fields']['disqus_comments']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['disqus_comments']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['disqus_comments']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['alter']['html'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['hide_empty'] = 0;
  $handler->display->display_options['fields']['disqus_comments']['empty_zero'] = 0;
  /* Sort criterion: DraggableViews: Order */
  $handler->display->display_options['sorts']['value0']['id'] = 'value0';
  $handler->display->display_options['sorts']['value0']['table'] = 'draggableviews_structure_node0';
  $handler->display->display_options['sorts']['value0']['field'] = 'value0';
  /* Sort criterion: Node: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  /* Argument: Taxonomy: Term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'term_node';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['validate_type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['tid']['validate_options']['vids'] = array(
    '1' => 1,
    '2' => 0,
    '3' => 0,
    '4' => 0,
    '5' => 0,
  );
  $handler->display->display_options['arguments']['tid']['validate_options']['transform'] = 0;
  $handler->display->display_options['arguments']['tid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['tid']['add_table'] = 0;
  $handler->display->display_options['arguments']['tid']['require_value'] = 0;
  $handler->display->display_options['arguments']['tid']['reduce_duplicates'] = 0;
  $handler->display->display_options['arguments']['tid']['set_breadcrumb'] = 0;
  /* Argument: Taxonomy: Term ID */
  $handler->display->display_options['arguments']['tid_1']['id'] = 'tid_1';
  $handler->display->display_options['arguments']['tid_1']['table'] = 'term_node';
  $handler->display->display_options['arguments']['tid_1']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid_1']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid_1']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['tid_1']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid_1']['default_argument_options']['argument'] = '5';
  $handler->display->display_options['arguments']['tid_1']['validate_type'] = 'taxonomy_term';
  $handler->display->display_options['arguments']['tid_1']['validate_options']['vids'] = array(
    '2' => 2,
    '1' => 0,
    '3' => 0,
    '4' => 0,
    '5' => 0,
  );
  $handler->display->display_options['arguments']['tid_1']['validate_options']['transform'] = 0;
  $handler->display->display_options['arguments']['tid_1']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['tid_1']['add_table'] = 0;
  $handler->display->display_options['arguments']['tid_1']['require_value'] = 0;
  $handler->display->display_options['arguments']['tid_1']['reduce_duplicates'] = 0;
  $handler->display->display_options['arguments']['tid_1']['set_breadcrumb'] = 0;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status_1']['id'] = 'status_1';
  $handler->display->display_options['filters']['status_1']['table'] = 'node';
  $handler->display->display_options['filters']['status_1']['field'] = 'status';
  $handler->display->display_options['filters']['status_1']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['filters']['status_1']['value'] = '1';
  $handler->display->display_options['filters']['status_1']['expose']['operator'] = FALSE;
  
/* Display: Topic feed */
  $handler = $view->new_display('feed', 'Topic feed', 'feed_1');
  $handler->display->display_options['style_plugin'] = 'rss';
  $handler->display->display_options['style_options']['mission_description'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'node_rss';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Node: Post date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'node';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['relationship'] = 'field_ns_blurb_reference_nid';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Argument: Taxonomy: Term ID */
  $handler->display->display_options['arguments']['tid']['id'] = 'tid';
  $handler->display->display_options['arguments']['tid']['table'] = 'term_node';
  $handler->display->display_options['arguments']['tid']['field'] = 'tid';
  $handler->display->display_options['arguments']['tid']['default_action'] = 'not found';
  $handler->display->display_options['arguments']['tid']['style_plugin'] = 'default_summary';
  $handler->display->display_options['arguments']['tid']['title'] = 'Main news - %1';
  $handler->display->display_options['arguments']['tid']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['tid']['break_phrase'] = 0;
  $handler->display->display_options['arguments']['tid']['add_table'] = 0;
  $handler->display->display_options['arguments']['tid']['require_value'] = 0;
  $handler->display->display_options['arguments']['tid']['reduce_duplicates'] = 1;
  $handler->display->display_options['arguments']['tid']['set_breadcrumb'] = 0;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = '1';
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter: Node: Published */
  $handler->display->display_options['filters']['status_1']['id'] = 'status_1';
  $handler->display->display_options['filters']['status_1']['table'] = 'node';
  $handler->display->display_options['filters']['status_1']['field'] = 'status';
  $handler->display->display_options['filters']['status_1']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['filters']['status_1']['value'] = '1';
  $handler->display->display_options['filters']['status_1']['expose']['operator'] = FALSE;
  /* Filter: Taxonomy: Term ID (with depth) */
  $handler->display->display_options['filters']['term_node_tid_depth']['id'] = 'term_node_tid_depth';
  $handler->display->display_options['filters']['term_node_tid_depth']['table'] = 'node';
  $handler->display->display_options['filters']['term_node_tid_depth']['field'] = 'term_node_tid_depth';
  $handler->display->display_options['filters']['term_node_tid_depth']['value'] = array(
    '2' => '2',
  );
  $handler->display->display_options['filters']['term_node_tid_depth']['expose']['operator'] = FALSE;
  $handler->display->display_options['filters']['term_node_tid_depth']['type'] = 'select';
  $handler->display->display_options['filters']['term_node_tid_depth']['vid'] = '2';
  $handler->display->display_options['filters']['term_node_tid_depth']['depth'] = '2';
  $handler->display->display_options['path'] = 'taxonomy/term/%/feed';
  $handler->display->display_options['displays'] = array(
    'panel_pane_3' => 'panel_pane_3',
    'default' => 0,
    'panel_pane_1' => 0,
    'panel_pane_4' => 0,
    'panel_pane_5' => 0,
    'panel_pane_6' => 0,
    'panel_pane_7' => 0,
    'panel_pane_8' => 0,
  );
  
/* Display: Topic editor */
  $handler = $view->new_display('panel_pane', 'Topic editor', 'panel_pane_1');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['access']['perm'] = 'administer topics';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'draggabletable';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'tid' => 'tid',
    'title_1' => 'title_1',
    'edit_node' => 'edit_node',
    'delete_node' => 'edit_node',
    'value0' => 'value0',
    'value1' => 'value1',
  );
  $handler->display->display_options['style_options']['default'] = -1;
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'tid' => array(
      'align' => '',
      'separator' => '',
    ),
    'title_1' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'edit_node' => array(
      'align' => '',
      'separator' => ' | ',
    ),
    'delete_node' => array(
      'align' => '',
      'separator' => '',
    ),
    'value0' => array(
      'sortable' => 0,
      'align' => '',
      'separator' => '',
    ),
    'value1' => array(
      'align' => '',
      'separator' => '',
    ),
  );
  $handler->display->display_options['style_options']['override'] = 1;
  $handler->display->display_options['style_options']['sticky'] = 0;
  $handler->display->display_options['style_options']['order'] = 'desc';
  $handler->display->display_options['style_options']['tabledrag_order'] = array(
    'field' => 'value0',
    'handler' => 'native',
  );
  $handler->display->display_options['style_options']['tabledrag_order_visible'] = array(
    'visible' => 0,
  );
  $handler->display->display_options['style_options']['tabledrag_hierarchy'] = array(
    'field' => 'value1',
    'handler' => 'native',
  );
  $handler->display->display_options['style_options']['tabledrag_hierarchy_visible'] = array(
    'visible' => 0,
  );
  $handler->display->display_options['style_options']['draggableviews_depth_limit'] = '1';
  $handler->display->display_options['style_options']['draggableviews_repair'] = array(
    '0' => 'repair',
    'repair' => 'repair',
  );
  $handler->display->display_options['style_options']['tabledrag_expand'] = array(
    'expand_links' => 0,
    'collapsed' => 0,
    'by_uid' => 0,
  );
  $handler->display->display_options['style_options']['draggableviews_extensions'] = array(
    'extension_top' => '3',
    'extension_bottom' => '3',
  );
  $handler->display->display_options['style_options']['tabledrag_lock'] = array(
    'lock' => 0,
  );
  $handler->display->display_options['style_options']['draggableviews_default_on_top'] = '1';
  $handler->display->display_options['style_options']['draggableviews_arguments'] = array(
    'use_args' => 'use_args',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* Empty text: Global: Text area */
  $handler->display->display_options['empty']['text']['id'] = 'area';
  $handler->display->display_options['empty']['text']['table'] = 'views';
  $handler->display->display_options['empty']['text']['field'] = 'area';
  $handler->display->display_options['empty']['text']['label'] = '';
  $handler->display->display_options['empty']['text']['empty'] = FALSE;
  $handler->display->display_options['empty']['text']['content'] = 'There is no content to edit.';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Headline';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[title] | [edit_node]
';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title']['link_to_node'] = 0;
  /* Field: Taxonomy: All terms */
  $handler->display->display_options['fields']['tid']['id'] = 'tid';
  $handler->display->display_options['fields']['tid']['table'] = 'term_node';
  $handler->display->display_options['fields']['tid']['field'] = 'tid';
  $handler->display->display_options['fields']['tid']['label'] = 'Region';
  $handler->display->display_options['fields']['tid']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['tid']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['tid']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['tid']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['tid']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['tid']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['tid']['alter']['html'] = 0;
  $handler->display->display_options['fields']['tid']['hide_empty'] = 0;
  $handler->display->display_options['fields']['tid']['empty_zero'] = 0;
  $handler->display->display_options['fields']['tid']['link_to_taxonomy'] = 0;
  $handler->display->display_options['fields']['tid']['limit'] = 1;
  $handler->display->display_options['fields']['tid']['vids'] = array(
    '2' => 2,
    '1' => 0,
    '3' => 0,
    '4' => 0,
  );
  /* Field: Node: Title */
  $handler->display->display_options['fields']['title_1']['id'] = 'title_1';
  $handler->display->display_options['fields']['title_1']['table'] = 'node';
  $handler->display->display_options['fields']['title_1']['field'] = 'title';
  $handler->display->display_options['fields']['title_1']['relationship'] = 'field_ns_promo_article_nid';
  $handler->display->display_options['fields']['title_1']['label'] = 'Article';
  $handler->display->display_options['fields']['title_1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['title_1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['title_1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['title_1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['title_1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['title_1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['title_1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['title_1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['title_1']['empty_zero'] = 0;
  $handler->display->display_options['fields']['title_1']['link_to_node'] = 1;
  /* Field: Node: Edit link */
  $handler->display->display_options['fields']['edit_node']['id'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['table'] = 'node';
  $handler->display->display_options['fields']['edit_node']['field'] = 'edit_node';
  $handler->display->display_options['fields']['edit_node']['label'] = 'Operations';
  $handler->display->display_options['fields']['edit_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['edit_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['edit_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['edit_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['edit_node']['empty_zero'] = 0;
  $handler->display->display_options['fields']['edit_node']['text'] = 'edit';
  /* Field: Node: Delete link */
  $handler->display->display_options['fields']['delete_node']['id'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['table'] = 'node';
  $handler->display->display_options['fields']['delete_node']['field'] = 'delete_node';
  $handler->display->display_options['fields']['delete_node']['label'] = '';
  $handler->display->display_options['fields']['delete_node']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['delete_node']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['delete_node']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['delete_node']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['delete_node']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['delete_node']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['delete_node']['alter']['html'] = 0;
  $handler->display->display_options['fields']['delete_node']['hide_empty'] = 0;
  $handler->display->display_options['fields']['delete_node']['empty_zero'] = 0;
  $handler->display->display_options['fields']['delete_node']['text'] = 'delete';
  /* Field: DraggableViews: Order */
  $handler->display->display_options['fields']['value0']['id'] = 'value0';
  $handler->display->display_options['fields']['value0']['table'] = 'draggableviews_structure_node0';
  $handler->display->display_options['fields']['value0']['field'] = 'value0';
  $handler->display->display_options['fields']['value0']['label'] = '';
  $handler->display->display_options['fields']['value0']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['value0']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['value0']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['value0']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['value0']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['value0']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['value0']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['value0']['alter']['html'] = 0;
  $handler->display->display_options['fields']['value0']['hide_empty'] = 0;
  $handler->display->display_options['fields']['value0']['empty_zero'] = 0;
  /* Field: DraggableViews: Parent */
  $handler->display->display_options['fields']['value1']['id'] = 'value1';
  $handler->display->display_options['fields']['value1']['table'] = 'draggableviews_structure_node1';
  $handler->display->display_options['fields']['value1']['field'] = 'value1';
  $handler->display->display_options['fields']['value1']['label'] = '';
  $handler->display->display_options['fields']['value1']['alter']['alter_text'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['make_link'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['absolute'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['trim'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['word_boundary'] = 1;
  $handler->display->display_options['fields']['value1']['alter']['ellipsis'] = 1;
  $handler->display->display_options['fields']['value1']['alter']['strip_tags'] = 0;
  $handler->display->display_options['fields']['value1']['alter']['html'] = 0;
  $handler->display->display_options['fields']['value1']['hide_empty'] = 0;
  $handler->display->display_options['fields']['value1']['empty_zero'] = 0;
  $handler->display->display_options['pane_title'] = 'Topic editor';
  $handler->display->display_options['allow']['use_pager'] = 0;
  $handler->display->display_options['allow']['items_per_page'] = 0;
  $handler->display->display_options['allow']['offset'] = 0;
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 0;
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Taxonomy: Term ID',
    ),
    'tid_1' => array(
      'type' => 'context',
      'context' => 'term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Taxonomy: Term ID',
    ),
  );
  $handler->display->display_options['inherit_panels_path'] = '1';
  
/* Display: Topic page */
  $handler = $view->new_display('panel_pane', 'Topic page', 'panel_pane_3');
  $handler->display->display_options['pane_title'] = 'Topic page';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 'offset';
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Taxonomy: Term ID',
    ),
    'tid_1' => array(
      'type' => 'user',
      'context' => 'terms.tids',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Region',
    ),
  );
  
/* Display: Topic block */
  $handler = $view->new_display('panel_pane', 'Topic block', 'panel_pane_4');
  $handler->display->display_options['pane_title'] = 'Topic block';
  $handler->display->display_options['allow']['use_pager'] = 'use_pager';
  $handler->display->display_options['allow']['items_per_page'] = 'items_per_page';
  $handler->display->display_options['allow']['offset'] = 'offset';
  $handler->display->display_options['allow']['link_to_view'] = 0;
  $handler->display->display_options['allow']['more_link'] = 0;
  $handler->display->display_options['allow']['path_override'] = 0;
  $handler->display->display_options['allow']['title_override'] = 'title_override';
  $handler->display->display_options['argument_input'] = array(
    'tid' => array(
      'type' => 'context',
      'context' => 'term.tid',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Taxonomy: Term ID',
    ),
    'tid_1' => array(
      'type' => 'user',
      'context' => 'terms.tids',
      'context_optional' => 0,
      'panel' => '0',
      'fixed' => '',
      'label' => 'Region',
    ),
  );

  $views[$view->name] = $view;

  return $views;
}
